Agregar soporte de MP3 en Ubuntu 9.04

Introducción.

Por defecto, la instalación de Ubuntu no incluye el soporte para el formato MP3 así que sólo es posible codificar archivos en formato OGG que es mejor pero la gran mayoría de los reproductores [físicos] de audio aún no lo soportan.  Por suerte la instalación del soporte para el formato es muy sencilla.

Instalación.

$ sudo aptitude install gstreamer0.10-plugins-ugly-multiverse

Extracción y codificación de MP3.

Iniciar Applications > Sound & Video > Rhythmbox Music Player.

Configurar a Rhythmbox para que se utilice a MP3 como formato por defecto.

Seleccionar el menú Edit > Preferences y seleccione la etiqueta Music.

En el campo Preferred format elija la opción CD Quality, MP3 (.mp3 type).

MusicPreferences

Si desea modificar la calidad del archivo MP3 generado realice los siguientes pasos adicionales.  Por defecto se generan con un bitrate de 128 Kbps.

Presione el botón Edit para modificar el formato seleccionado: MP3.

Seleccione el perfil CD Quality, MP3 o cree uno nuevo.  Presione el botón Edit del diálogo.

Modifique el campo GStreamer pipeline con la siguiente cadena.

audio/x-raw-int,rate=44100,channels=2 ! lame name=enc mode=0 vbr-quality=6 bitrate=192 ! id3v2mux

Edite los valores de las variables rate, channels y bitrate según sus preferencias.

Seleccione las canciones que se desean codificar.

Presione el botón de extracción: ExtractButton

Los archivos de las canciones codificadas se almacenan en la ubicación especificada en las preferencias bajo Library Location > Music files are placed in, cuya ruta es por defecto: ~/Music.

Enlaces.

4 thoughts on “Agregar soporte de MP3 en Ubuntu 9.04”

  1. Actualizado con la modificación del bitrate a 192Kbps (o cualquiera en realidad) en lugar de los 128Kbps configurados por defecto.

  2. Hola que tal?
    segui tus instrucciones para poder escuchar mp3, y cuando ejecuto $ sudo aptitude install gstreamer0.10-plugins-ugly-multiverse, me da este mensaje: “No se pudo encontrar ningún paquete cuyo nombre o descripción coincida con “gstreamer0.10-plugins-ugly-multiverse”
    Tengo ubuntu 9.04 jaunty-jackalope

    gracias!!!!!!!!!!

  3. Loly, te sugiero que verifiques si tienes a “multiverse” activo en el listado de repositorios (/etc/apt/sources.list). De igual manera te sugiero que revises a cuales paquetes de gstreamer tienes acceso: “sudo aptitude search gstreamer”.

  4. jimezam gracias por tu respuesta. Si tengo multiverse activo. cuando reviso los paquetes gstreamer me lista los siguientes:
    i bluez-gstreamer – Bluetooth gstreamer support
    i gstreamer0.10-alsa – GStreamer plugin for ALSA
    v gstreamer0.10-audiosink –
    v gstreamer0.10-audiosource –
    i gstreamer0.10-gnomevfs – GStreamer plugin for GnomeVFS
    i gstreamer0.10-plugins-base – GStreamer plugins from the “base” set
    i gstreamer0.10-plugins-base-apps – GStreamer helper programs from the “base”
    i gstreamer0.10-plugins-good – GStreamer plugins from the “good” set
    i gstreamer0.10-pulseaudio – GStreamer plugin for PulseAudio
    i gstreamer0.10-schroedinger – GStreamer plugin for encoding/decoding of
    i gstreamer0.10-tools – Tools for use with GStreamer
    v gstreamer0.10-videosink –
    v gstreamer0.10-videosource –
    v gstreamer0.10-visualization –
    i gstreamer0.10-x – GStreamer plugins for X11 and Pango
    i libgstreamer-plugins-base0.10-0 – GStreamer libraries from the “base” set
    i libgstreamer0.10-0 – Core GStreamer libraries and elements
    i totem-gstreamer – A simple media player for the GNOME d

    se agradece la ayuda!!!!

Leave a Reply

Your email address will not be published. Required fields are marked *